View Issue Details

IDProjectCategoryView StatusLast Update
0008957Talerwallet (Android App)public2024-07-18 21:00
ReporterFlorian Dold Assigned Toavalos  
PriorityhighSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.13 
Summary0008957: Android wallet should render alternate QR codes for manual withdrawal, show sharing and banking options
DescriptionWe now have the getQrCodesForPayto request in wallet-core that returns a list of QR codes applicable for a payto URI.

The wallet UI should allow the user to show such a QR code.

As part of this, some reasonable flow needs to be designed for the different transfer options, such as:
* Share (Shares a text with the info and payto:// URI via the system sharing dialog)
* Show payment QR Code
* Continue with banking app / online banking (and then select banking apps we support)

We also need to clarify if and where this feature needs further wallet-core support.
TagsNo tags attached.

Relationships

related to 0008959 assignedMarcS iOS wallet should render alternate QR codes for manual withdrawal, show sharing and banking options 

Activities

avalos

2024-06-20 18:30

developer   ~0022692

(1) Should I show all the QR codes in a row?
(2) Should they be hidden by default?
(3) Should they show in a dialog, in-line, or either way is fine?

Florian Dold

2024-06-26 16:11

manager   ~0022725

I think it should be more of a "dialog tree" where the previously selected option might be remembered.

So you have:

+ Continue with Bank App or Website
 + GLS
   -> Open App
   -> Open Website
 + ...
+ Show QR Code
  -> payto
  -> Swiss Payment Code
  -> ...
-> Share

Of course not actually rendered as a tree, but as a sequence of dialogues.

avalos

2024-06-27 22:09

developer   ~0022746

Last edited: 2024-06-27 22:10

Here's a UI preview of the WIP in dev/ivan-avalos/qrcodes, what do you think?

(Those are not real QR codes.)

Video: https://nextcloud.avalos.me/index.php/s/337GHmFAwoxG8Po

Florian Dold

2024-06-28 00:58

manager   ~0022750

I think as a first iteration it's good!

We'll probably have to redesign it a bit once we have other banking options (search and/or "dialog tree").

avalos

2024-06-28 16:49

developer   ~0022763

Will wallet-core implement a request for the banking options tree, or will the UIs need to manually assemble it? Also, if the final UI design will be that complex, I feel like it should have its own screen that can be accessed from the manual withdrawal details.

avalos

2024-07-18 21:00

developer   ~0022830

The first iteration has already been implemented, although with further improvements still pending.

I will close this for now, more discussion and feedback can always happen separately.

Issue History

Date Modified Username Field Change
2024-06-18 08:04 Florian Dold New Issue
2024-06-18 08:04 Florian Dold Status new => assigned
2024-06-18 08:04 Florian Dold Assigned To => avalos
2024-06-18 08:05 Florian Dold Issue cloned: 0008958
2024-06-18 08:05 Florian Dold Relationship added related to 0008959
2024-06-20 18:30 avalos Assigned To avalos => Florian Dold
2024-06-20 18:30 avalos Status assigned => feedback
2024-06-20 18:30 avalos Note Added: 0022692
2024-06-26 16:11 Florian Dold Note Added: 0022725
2024-06-26 16:11 Florian Dold Assigned To Florian Dold => avalos
2024-06-26 16:11 Florian Dold Status feedback => assigned
2024-06-27 22:09 avalos Assigned To avalos => Florian Dold
2024-06-27 22:09 avalos Status assigned => feedback
2024-06-27 22:09 avalos Note Added: 0022746
2024-06-27 22:10 avalos Note Edited: 0022746
2024-06-28 00:58 Florian Dold Note Added: 0022750
2024-06-28 00:58 Florian Dold Assigned To Florian Dold => avalos
2024-06-28 00:58 Florian Dold Status feedback => assigned
2024-06-28 16:49 avalos Note Added: 0022763
2024-06-28 17:01 avalos Status assigned => confirmed
2024-07-18 21:00 avalos Status confirmed => resolved
2024-07-18 21:00 avalos Resolution open => fixed
2024-07-18 21:00 avalos Note Added: 0022830